Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class FilterTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.FilterTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, FilterType<T>

    public class FilterTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, FilterType<T>

This class implements the `filterType` xsd type

Original Documentation:

The filterType is used to declare a filter in the web
application. The filter is mapped to either a servlet or a
URL pattern in the filter-mapping element, using the
filter-name value to reference. Filters can access the
initialization parameters declared in the deployment
descriptor at runtime via the FilterConfig interface.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`FilterTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`FilterTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getFilterClass()` Returns the `filter-class` element
`java.lang.String` | `getFilterName()` Returns the `filter-name` element
`java.util.List<IconType<FilterType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<ParamValueType<FilterType<T>>>` | `getInitParamList()` Returns all `init-param` elements
`IconType<FilterType<T>>` | `icon()` Returns the `icon` element
`ParamValueType<FilterType<T>>` | `initParam()` Returns the `init-param` element
`java.lang.Boolean` | `isAsyncSupported()` Returns the `async-supported` element
`FilterType<T>` | `removeAllDescription()` Removes the `description` element
`FilterType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`FilterType<T>` | `removeAllIcon()` Removes all `icon` elements
`FilterType<T>` | `removeAllInitParam()` Removes all `init-param` elements
`FilterType<T>` | `removeAsyncSupported()` Removes the `async-supported` element
`FilterType<T>` | `removeFilterClass()` Removes the `filter-class` element
`FilterType<T>` | `removeFilterName()` Removes the `filter-name` element
`FilterType<T>` | `setAsyncSupported(java.lang.Boolean asyncSupported)` If not already created, a new `async-supported` element with the given value will be created.
`FilterType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`FilterType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`FilterType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`FilterType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`FilterType<T>` | `setFilterClass(java.lang.String filterClass)` If not already created, a new `filter-class` element with the given value will be created.
`FilterType<T>` | `setFilterName(java.lang.String filterName)` If not already created, a new `filter-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterTypeImpl

    public FilterTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### FilterTypeImpl

    public FilterTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public FilterType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### setDescriptionList

    public FilterType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `FilterType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `FilterType`

### removeAllDescription

    public FilterType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `FilterType<T>`
  Returns:
    list of `description`

### setDisplayName

    public FilterType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### setDisplayNameList

    public FilterType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `FilterType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `FilterType`

### removeAllDisplayName

    public FilterType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `FilterType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public FilterType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### icon

    public IconType<FilterType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `FilterType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<FilterType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `FilterType<T>`
  Returns:
    list of `icon`

### setFilterName

    public FilterType<T> setFilterName(java.lang.String filterName)

  If not already created, a new `filter-name` element with the given value will be created. Otherwise, the existing `filter-name` element will be updated with the given value.

  Specified by:
    `setFilterName` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### removeFilterName

    public FilterType<T> removeFilterName()

  Removes the `filter-name` element

  Specified by:
    `removeFilterName` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### getFilterName

    public java.lang.String getFilterName()

  Returns the `filter-name` element

  Specified by:
    `getFilterName` in interface `FilterType<T>`
  Returns:
    the node defined for the element `filter-name`

### setFilterClass

    public FilterType<T> setFilterClass(java.lang.String filterClass)

  If not already created, a new `filter-class` element with the given value will be created. Otherwise, the existing `filter-class` element will be updated with the given value.

  Specified by:
    `setFilterClass` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### removeFilterClass

    public FilterType<T> removeFilterClass()

  Removes the `filter-class` element

  Specified by:
    `removeFilterClass` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### getFilterClass

    public java.lang.String getFilterClass()

  Returns the `filter-class` element

  Specified by:
    `getFilterClass` in interface `FilterType<T>`
  Returns:
    the node defined for the element `filter-class`

### setAsyncSupported

    public FilterType<T> setAsyncSupported(java.lang.Boolean asyncSupported)

  If not already created, a new `async-supported` element with the given value will be created. Otherwise, the existing `async-supported` element will be updated with the given value.

  Specified by:
    `setAsyncSupported` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### removeAsyncSupported

    public FilterType<T> removeAsyncSupported()

  Removes the `async-supported` element

  Specified by:
    `removeAsyncSupported` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### isAsyncSupported

    public java.lang.Boolean isAsyncSupported()

  Returns the `async-supported` element

  Specified by:
    `isAsyncSupported` in interface `FilterType<T>`
  Returns:
    the node defined for the element `async-supported`

### removeAllInitParam

    public FilterType<T> removeAllInitParam()

  Removes all `init-param` elements

  Specified by:
    `removeAllInitParam` in interface `FilterType<T>`
  Returns:
    the current instance of `FilterType`

### initParam

    public ParamValueType<FilterType<T>> initParam()

  Returns the `init-param` element

  Specified by:
    `initParam` in interface `FilterType<T>`
  Returns:
    the node defined for the element `init-param`

### getInitParamList

    public java.util.List<ParamValueType<FilterType<T>>> getInitParamList()

  Returns all `init-param` elements

  Specified by:
    `getInitParamList` in interface `FilterType<T>`
  Returns:
    list of `init-param`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD